Package org.apache.commons.fileupload

# Class FileUploadBase.SizeLimitExceededException

java.lang.Object
java.lang.Throwable
java.lang.Exception
org.apache.commons.fileupload.FileUploadException
org.apache.commons.fileupload.FileUploadBase.SizeException
org.apache.commons.fileupload.FileUploadBase.SizeLimitExceededException

All Implemented Interfaces:
  `Serializable`

Enclosing class:
  `FileUploadBase`

public static class FileUploadBase.SizeLimitExceededException extends FileUploadBase.SizeException
Thrown to indicate that the request size exceeds the configured maximum.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SizeLimitExceededException()`
  Deprecated.
  1.2 Replaced by `SizeLimitExceededException(String, long, long)`
  `SizeLimitExceededException(String message)`
  Deprecated.
  1.2 Replaced by `SizeLimitExceededException(String, long, long)`
  `SizeLimitExceededException(String message, long actual, long permitted)`
  Constructs a `SizeExceededException` with the specified detail message, and actual and permitted sizes.

- ## Method Summary

  ### Methods inherited from class org.apache.commons.fileupload.FileUploadBase.SizeException

  `getActualSize, getPermittedSize`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### SizeLimitExceededException

    @Deprecated public SizeLimitExceededException()
    Deprecated.
    1.2 Replaced by `SizeLimitExceededException(String, long, long)`

  - ### SizeLimitExceededException

    @Deprecated public SizeLimitExceededException(String message)
    Deprecated.
    1.2 Replaced by `SizeLimitExceededException(String, long, long)`
    Parameters:
      `message` - The exceptions detail message.

  - ### SizeLimitExceededException

    public SizeLimitExceededException(String message, long actual, long permitted)
    Constructs a `SizeExceededException` with the specified detail message, and actual and permitted sizes.
    Parameters:
      `message` - The detail message.
      `actual` - The actual request size.
      `permitted` - The maximum permitted request size.